<?php

class ExcelController extends GxController
{



    /**
     *   Excel JSON
     */
    public function actionExcel($id)
    {
        /**
         * "Godina":"2016",
         * "Mesec":"01",
         * "oranizaciona_jedinica":"Komercijala",
         * "naziv_artikla":"c kesa bez rucke 21x12x31",
         * "broj_fakture":"ifr-18-2016",
         * "jedinica_mere":"kg",
         * "nabavna_cena":"189.0000",
         * "prosecna_nabavna_cena":"189.0000",
         * "prodajna_cena":"245.7000000000",
         * "fakturisana_kolicina":"24",
         * "nabavna_vrednost":"4536",
         * "prodajna_vrednost":"5896.8000",
         * "razlika":"1360.8000",
         * "NVPR":"0.76923077"},
         */

        $model = $this->loadModel($id, 'Report');

        $this->layout = false;
        header('Content-type: application/json');
        // echo $niz;
        echo $model->convertToJSON(100000);
        die();
        //Yii::app()->end();

    }



}